@media (max-width: 510px) {
    .header1 {
        flex-direction: column;
        gap: 15px;
    }

    .nav1 {
        display: flex;
        flex-direction: column;
        text-align: center;
        gap: 10px;
    }

    .container1 {
        flex-direction: column;
        padding: 20px;
        text-align: center;
    }

    .box1 h1 {
        font-size: 32px;
    }

    .box2 {
        width: 100%;
        margin-top: 30px;
    }

    .btns-row {
        display: flex;
        flex-direction: column;
        gap: 10px;
    }

    .btn2 {
        margin-left: 0;
    }

    .row2 {
        flex-direction: column;
    }

    .box-text h2 {
        font-size: 28px;
    }

    .card1 {
        margin-bottom: 20px;
    }

    .row3 {
        flex-direction: column;
    }

    .box-text3 h2 {
        font-size: 30px;
    }

    .card3 {
        margin-bottom: 20px;
    }
}